| SoapySDR 0.8.1-ARCH Vendor and platform neutral SDR interface library

Namespaces | Functions | Variables
ConverterPrimitives.hpp File Reference
`#include <stdint.h>`

Go to the source code of this file.

## Namespaces
namespace | SoapySDR

## Functions
int32_t | SoapySDR::F32toS32 (float from)
float | SoapySDR::S32toF32 (int32_t from)
int16_t | SoapySDR::F32toS16 (float from)
float | SoapySDR::S16toF32 (int16_t from)
int8_t | SoapySDR::F32toS8 (float from)
float | SoapySDR::S8toF32 (int8_t from)
int32_t | SoapySDR::U32toS32 (uint32_t from)
uint32_t | SoapySDR::S32toU32 (int32_t from)
int16_t | SoapySDR::U16toS16 (uint16_t from)
uint16_t | SoapySDR::S16toU16 (int16_t from)
int8_t | SoapySDR::U8toS8 (uint8_t from)
uint8_t | SoapySDR::S8toU8 (int8_t from)
int16_t | SoapySDR::S32toS16 (int32_t from)
int32_t | SoapySDR::S16toS32 (int16_t from)
int8_t | SoapySDR::S16toS8 (int16_t from)
int16_t | SoapySDR::S8toS16 (int8_t from)
uint32_t | SoapySDR::F32toU32 (float from)
float | SoapySDR::U32toF32 (uint32_t from)
uint16_t | SoapySDR::F32toU16 (float from)
float | SoapySDR::U16toF32 (uint16_t from)
uint8_t | SoapySDR::F32toU8 (float from)
float | SoapySDR::U8toF32 (uint8_t from)
uint16_t | SoapySDR::S32toU16 (int32_t from)
int32_t | SoapySDR::U16toS32 (uint16_t from)
uint8_t | SoapySDR::S32toU8 (int32_t from)
int32_t | SoapySDR::U8toS32 (uint8_t from)
uint8_t | SoapySDR::S16toU8 (int16_t from)
int16_t | SoapySDR::U8toS16 (uint8_t from)
uint16_t | SoapySDR::S8toU16 (int8_t from)
int8_t | SoapySDR::U16toS8 (uint16_t from)

## Variables
const uint32_t | SoapySDR::U32_ZERO_OFFSET = uint32_t(1<<31)
const uint16_t | SoapySDR::U16_ZERO_OFFSET = uint16_t(1<<15)
const uint8_t | SoapySDR::U8_ZERO_OFFSET = uint8_t(1<<7)
const uint32_t | SoapySDR::S32_FULL_SCALE = uint32_t(1<<31)
const uint16_t | SoapySDR::S16_FULL_SCALE = uint16_t(1<<15)
const uint8_t | SoapySDR::S8_FULL_SCALE = uint8_t(1<<7)